## postgis 3.2.0+dfsg

=== Makefile ===

# this file copied and adapted from PostgreSQL source
# to allow easy build on BSD systems

all install uninstall clean distclean maintainer-clean test check docs docs-install docs-uninstall utils: GNUmakefile
	@IFS=':' ; \
	 for dir in $$PATH; do \
	   for prog in gmake gnumake make; do \
	     if [ -f $$dir/$$prog ] && ( $$dir/$$prog -f /dev/null --version 2>/dev/null | grep GNU >/dev/null 2>&1 ) ; then \
	       GMAKE=$$dir/$$prog; \
	       break 2; \
	     fi; \
	   done; \
	 done; \
	\
	 if [ x"$${GMAKE+set}" = xset ]; then \
	   echo "Using GNU make found at $${GMAKE}"; \
	   $${GMAKE} $@ ; \
	 else \
	   echo "You must use GNU make to build PostGIS." ; \
	   false; \
	 fi

configure: configure.in
	./autogen.sh

GNUmakefile: GNUmakefile.in
	./configure

=== extensions/address_standardizer/Makefile ===
include ../upgradeable_versions.mk
OBJS = \
    address_parser.o \
    address_standardizer.o \
    std_pg_hash.o \
    analyze.o \
    err_param.o \
    export.o \
    gamma.o \
    hash.o \
    lexicon.o \
    pagc_tools.o \
    parseaddress-api.o \
    standard.o \
    tokenize.o

OBJS_test_main = \
    test_main.o \
    analyze.o \
    err_param.o \
    export.o \
    gamma.o \
    hash.o \
    lexicon.o \
    pagc_tools.o \
    standard.o \
    tokenize.o

POSTGIS_PGSQL_VERSION=96
# SQL preprocessor
SQLPP = /usr/bin/cpp -traditional-cpp -w -P
GREP=/bin/grep
EXTVERSION = 3.2.0
MODULE_big = address_standardizer-3
MODULEPATH    = $$libdir/address_standardizer-3
ifeq (no,yes)
MODULE_big = address_standardizer-3.2
MODULEPATH    = $$libdir/address_standardizer-3.2
endif
EXTENSION = address_standardizer
DATA = sql/$(EXTENSION).sql sql/$(EXTENSION)_data_us.sql

DATA_built = \
	$(EXTENSION).control \
	$(EXTENSION)_data_us.control \
	$(NULL)

all:  sql/address_standardizer.sql sql/address_standardizer--1.0--$(EXTVERSION).sql sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--ANY--$(EXTVERSION).sql \
 sql/$(EXTENSION)_data_us.sql sql/address_standardizer--3.2.0.sql sql/$(EXTENSION)_data_us--3.2.0.sql  sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql \
sql/$(EXTENSION)_data_us--$(EXTVERSION)next--$(EXTVERSION).sql sql/$(EXTENSION)_data_us--ANY--$(EXTVERSION).sql \
sql/test-init-extensions.sql sql/test-parseaddress.sql sql/test-standardize_address_1.sql sql/test-standardize_address_2.sql

EXTRA_CLEAN = sql/



DOCS = README.address_standardizer
PG_CPPFLAGS = -std=gnu99 -g -O2 -fno-math-errno -fno-signed-zeros -Wall  -I/var/lib/jenkins/workspace/geos/rel-3.6w64/include   -I/usr/include/libxml2 -I/usr/include -I/usr/include/json-c  -DNDEBUG  -DPCRE_VERSION=0

SHLIB_LINK =  -L/var/lib/jenkins/workspace/geos/rel-3.6w64/lib -lgeos_c -lproj -ljson-c -lprotobuf-c -lxml2 -L/usr/lib/x86_64-linux-gnu -lSFCGAL -lgmpxx -Wl,--exclude-libs,ALL  -lm 
EXTRA_CLEAN = usps-st-city-name.txt mk-st-regexp mk-city-regex test_main
REGRESS = test-init-extensions test-parseaddress test-standardize_address_1 test-standardize_address_2


# Borrow the $libdir substitution from PGXS but customise by running the preprocessor
# and adding the version number
sql/%.sql: %.sql.in
	mkdir -p sql
	$(SQLPP) -I../libpgcommon $< | grep -v '^#' | \
	$(PERL) -lpe "s'MODULE_PATHNAME'\$(MODULEPATH)'g" > $@

%.control: %.control.in Makefile
	cat $< \
		| sed -e 's|@EXTVERSION@|$(EXTVERSION)|g' \
		> $@

sql/address_standardizer--3.2.0.sql: sql/address_standardizer_types.sql \
    sql/address_standardizer_functions.sql
	mkdir -p sql
	cat $^ > $@

sql/address_standardizer.sql: sql/address_standardizer_types.sql \
    sql/address_standardizer_functions.sql
	mkdir -p sql
	cat $^ > $@

sql/address_standardizer--1.0--$(EXTVERSION).sql:  sql/address_standardizer_functions.sql
	mkdir -p sql
	cat $^ > $@

EXTENSION_UPGRADE_SCRIPTS = sql/address_standardizer_functions.sql

# upgrade logic for us data extension (to go to original round-robin yoyo cludge for dev upgrading)
sql/$(EXTENSION)--$(EXTVERSION)next--$(EXTVERSION).sql: sql/address_standardizer_functions.sql
	mkdir -p sql
	cat $^ > $@

# build us data extension
sql/$(EXTENSION)_data_us--$(EXTVERSION).sql: us_lex.sql us_gaz.sql us_rules.sql sql_bits/address_standardizer_data_us_mark_editable_objects.sql.in
	mkdir -p sql
	cat $^ > $@

sql/$(EXTENSION)_data_us.sql: us_lex.sql us_gaz.sql us_rules.sql sql_bits/address_standardizer_data_us_mark_editable_objects.sql.in
	mkdir -p sql
	cat $^ > $@

# upgrade logic for us data extension (to go to next cludge for dev upgrading)
sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql: sql/$(EXTENSION)_data_us--$(EXTVERSION).sql
	mkdir -p sql
	cat $^ > $@

# upgrade logic for us data extension (to go to original round-robin yoyo cludge for dev upgrading)
sql/$(EXTENSION)_data_us--$(EXTVERSION)next--$(EXTVERSION).sql: sql/$(EXTENSION)_data_us--$(EXTVERSION).sql
	mkdir -p sql
	cat $^ > $@


sql/$(EXTENSION)--ANY--$(EXTVERSION).sql: $(EXTENSION_UPGRADE_SCRIPTS)
	cat $(EXTENSION_UPGRADE_SCRIPTS) > $@

sql/$(EXTENSION)_data_us--ANY--$(EXTVERSION).sql: sql/$(EXTENSION)_data_us--$(EXTVERSION).sql
	mkdir -p sql
	cat $^ > $@

include ../upgrade-paths-rules.mk

install: install-upgrade-paths-data-us
# address_standardizer is already defined, we have to additionally create
# the upgrade path scripts for address_standardizer_data_us
install-upgrade-paths-data-us:
	tpl='$(EXTENSION)_data_us--ANY--$(EXTVERSION).sql'; \
	$(INSTALL_DATA) sql/$${tpl} "$(EXTDIR)/$${tpl}"; \
	ln -fs "$${tpl}" $(EXTDIR)/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql; \
	ln -fs "$${tpl}" $(EXTDIR)/$(EXTENSION)_data_us--$(EXTVERSION)next--$(EXTVERSION).sql; \
	for OLD_VERSION in $(UPGRADEABLE_VERSIONS); do \
		ln -fs "$${tpl}" $(EXTDIR)/$(EXTENSION)_data_us--$$OLD_VERSION--$(EXTVERSION).sql; \
	done

mk-st-regexp: mk-st-regexp.pl
	$(PERL) -c mk-st-regexp.pl
	rm -f mk-st-regexp
	echo "#! " $(PERL) > mk-st-regexp
	cat mk-st-regexp.pl >> mk-st-regexp
	chmod ugo+x mk-st-regexp

mk-city-regex: mk-city-regex.pl usps-st-city-name.txt
	$(PERL) -c mk-city-regex.pl
	rm -f mk-city-regex
	echo "#! " $(PERL) > mk-city-regex
	cat mk-city-regex.pl >> mk-city-regex
	chmod ugo+x mk-city-regex

usps-st-city-name.txt: usps-st-city-orig.txt usps-st-city-adds.txt
	cat usps-st-city-orig.txt usps-st-city-adds.txt | sort -u >usps-st-city-name.txt

#parseaddress-stcities.h: mk-city-regex
#	./mk-city-regex > parseaddress-stcities.h

#parseaddress-regex.h: mk-st-regexp
#	./mk-st-regexp > parseaddress-regex.h

dist-clean:
	rm -f mk-st-regexp mk-city-regex usps-st-city-name.txt test_main Makefile


test_main: $(OBJS_test_main)
	gcc -o test_main $(OBJS_test_main) $(LDFLAGS) $(LIBS)

test_main.o: test_main.c pagc_api.h pagc_std_api.h

address_parser.o: address_parser.c parseaddress-api.h

address_standardizer.o: address_standardizer.c std_pg_hash.h pagc_api.h pagc_std_api.h

analyze.o: analyze.c pagc_api.h

err_param.o: err_param.c pagc_api.h

export.o: export.c pagc_api.h pagc_tools.h

gamma.o: gamma.c pagc_api.h pagc_std_api.h gamma.h

hash.o: hash.c hash.h khash.h

lexicon.o: lexicon.c pagc_api.h pagc_std_api.h

pagc_tools.o: pagc_tools.c pagc_tools.h pagc_common.h

parseaddress-api.o: parseaddress-api.c parseaddress-api.h parseaddress-stcities.h parseaddress-regex.h

standard.o: standard.c pagc_api.h

tokenize.o: tokenize.c pagc_api.h

std_pg_hash.o: std_pg_hash.c std_pg_hash.h pagc_api.h pagc_std_api.h

#only extension files
DATA += $(wildcard sql/*--*.sql)
EXTRA_CLEAN += sql/*.sql
EXTRA_CLEAN += $(wildcard expected/*--*.out)
EXTRA_CLEAN += sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql
EXTRA_CLEAN += sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql *.a *.so *.dll

distclean: clean
	rm Makefile

PG_CONFIG := /var/lib/jenkins/workspace/pg/rel/pg9.6w64/bin/pg_config
PGXS := /var/lib/jenkins/workspace/pg/rel/pg9.6w64/lib/postgresql/pgxs/src/makefiles/pgxs.mk
include $(PGXS)
PERL = /usr/bin/perl

=== extensions/postgis_raster/Makefile ===
include ../upgradeable_versions.mk

EXTENSION     = postgis_raster
EXTVERSION    = 3.2.0
MINORVERSION  = 3.2
MODULEPATH    = $$libdir/$(EXTENSION)-3

ifeq (no,yes)
MODULEPATH=$$libdir/$(EXTENSION)-$(MINORVERSION)
endif
GREP = /bin/grep

# SQL preprocessor
SQLPP = /usr/bin/cpp -traditional-cpp -w -P

MICRO_NUMBER  = $(shell echo $(EXTVERSION) | \
						$(PERL) -pe 's/\d.\d.(\d+)[a-zA-Z]*\d*/$1/'

PREREL_NUMBER = $(shell echo $(EXTVERSION) | \
                        $(PERL) -pe 's/\d\.\d\.(.*)/\1/' | \
                        $(GREP) "[a-zA-Z]" | \
                        $(PERL) -pe 's/\d+[a-zA-Z]+(\d+)/\1/'

MICRO_PREV    = $(shell if test "$(MICRO_NUMBER)x" != "x"; then expr $(MICRO_NUMBER) - 1; fi)
PREREL_PREV   = $(shell if test "$(PREREL_NUMBER)x" != "x"; then expr $(PREREL_NUMBER) - 1; fi)

PREREL_PREFIX = $(shell echo $(EXTVERSION) | \
                        $(PERL) -pe 's/\d\.\d\.(.*)/\1/' | \
                        $(GREP) "[a-zA-Z]" | \
                        $(PERL) -pe 's/(\d+[a-zA-Z]+)\d*/\1/'

DATA_built = \
	$(EXTENSION).control \
	sql/$(EXTENSION)--$(EXTVERSION).sql \
	sql/$(EXTENSION)--unpackaged.sql \
	sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql \
	$(NULL)

# Scripts making up the extension file
# NOTE: order matters
EXTENSION_SCRIPTS = \
	sql/rtpostgis.sql \
	sql/raster_comments.sql

# Scripts making up the extension minor upgrade file
# NOTE: order matters
EXTENSION_UPGRADE_SCRIPTS = \
	../postgis_extension_helper.sql \
	sql/rtpostgis_upgrade.sql \
	../../doc/raster_comments.sql \
	../postgis_extension_helper_uninstall.sql

# Scripts making up the extension upgrade-from-unpackaged file
# NOTE: order matters
EXTENSION_UNPACKAGED_UPGRADE_SCRIPTS = \
	sql/$(EXTENSION)--$(EXTVERSION).sql

EXTRA_CLEAN = sql

CURV_big=32

all: sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql

sql:
	mkdir -p $@

$(EXTENSION).control: $(EXTENSION).control.in Makefile
	cat $< \
		| sed -e 's|@EXTVERSION@|$(EXTVERSION)|g' \
		| sed -e 's|@EXTENSION@|$(EXTENSION)|g' \
		| sed -e 's|@MODULEPATH@|$(MODULEPATH)|g' \
		> $@

sql/$(EXTENSION)--$(EXTVERSION).sql: $(EXTENSION_SCRIPTS) | sql
	printf '\\echo Use "CREATE EXTENSION $(EXTENSION)" to load this file. \\quit\n' > $@
	cat $^ >> $@

sql/$(EXTENSION)--unpackaged.sql: Makefile | sql
	echo "-- Nothing to do here" > $@

sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql: $(EXTENSION_UNPACKAGED_UPGRADE_SCRIPTS) ../../utils/create_unpackaged.pl sql/$(EXTENSION)--ANY--$(EXTVERSION).sql Makefile | sql
	# Ensure version is correct
	cat sql/$(EXTENSION)--ANY--$(EXTVERSION).sql > $@
	cat $(EXTENSION_UNPACKAGED_UPGRADE_SCRIPTS) | $(PERL) ../../utils/create_unpackaged.pl postgis_raster >> $@

unpackaged_check.sql: unpackaged_check.sql.in Makefile
	cat $< \
		| sed -e 's|@EXTVERSION@|$(EXTVERSION)|g' \
		> $@

#strip BEGIN/COMMIT since these are not allowed in extensions
sql/rtpostgis.sql: sql/rtpostgis_for_extension.sql | sql
	$(PERL) -pe 's/BEGIN\;//g ; s/COMMIT\;//g' $< > $@

sql/rtpostgis_for_extension.sql: ../../raster/rt_pg/rtpostgis.sql.in ../../postgis_revision.h | sql
	$(SQLPP) -I../../postgis/ -I../../ $< | grep -v '^#' | \
	$(PERL) -lpe "s'MODULE_PATHNAME'\$(MODULEPATH)'g" > $@

sql/rtpostgis_upgrade.sql: sql/rtpostgis_upgrade_for_extension.sql | sql
	$(PERL) -pe "s/BEGIN\;//g ; s/COMMIT\;//g; s/^(DROP .*)\;/SELECT postgis_extension_drop_if_exists('$(EXTENSION)', '\1');\n\1\;/" $< > $@

#this keeps the @extschema@. in place since extension machinery will replace during install
sql/rtpostgis_upgrade_for_extension.sql: ../../raster/rt_pg/rtpostgis_upgrade_cleanup.sql sql/rtpostgis_upgrade_for_extension.sql.in ../../raster/rt_pg/rtpostgis_drop.sql | sql
	echo 'BEGIN;' > $@
	cat $^ | sed -e 's/^BEGIN;$$//' -e 's/^COMMIT;$$//' >> $@
	echo 'COMMIT;' >> $@


sql/rtpostgis_upgrade_for_extension.sql.in: sql/rtpostgis_for_extension.sql ../../utils/postgis_proc_upgrade.pl | sql
	$(PERL) ../../utils/postgis_proc_upgrade.pl $< UNUSED > $@


../../doc/raster_comments.sql:
	$(MAKE) -C ../../doc comments

sql/raster_comments.sql: ../../doc/raster_comments.sql | sql
	cp $< $@

sql/$(EXTENSION)--ANY--$(EXTVERSION).sql: $(EXTENSION_UPGRADE_SCRIPTS) | sql
	printf '\\echo Use "CREATE EXTENSION $(EXTENSION)" to load this file. \\quit\n' > $@
	cat $(EXTENSION_UPGRADE_SCRIPTS) >> $@

include ../upgrade-paths-rules.mk

distclean: clean
	rm -f Makefile

PG_CONFIG := /var/lib/jenkins/workspace/pg/rel/pg9.6w64/bin/pg_config
PGXS := /var/lib/jenkins/workspace/pg/rel/pg9.6w64/lib/postgresql/pgxs/src/makefiles/pgxs.mk
include $(PGXS)
PERL = /usr/bin/perl

=== extras/template_gis/Makefile ===
include ../../Makefile.config

#
# PostGIS template_gis Makefile
#

SCRIPTS_IN:=$(wildcard *.in)
SCRIPTS:=$(SCRIPTS_IN:.in=)
PUBLIC_SCRIPTS:=mktemplate_gis rmtemplate_gis createdb.postgis
SONAME:=$(shell grep "^REL_MAJOR_VERSION" ../../Version.config | cut -d= -f2)

SUBSTITUTE=-e s!@bindir@!$(SUBBINDIR)!g \
           -e s!@datadir@!$(datadir)!g \
           -e s!@prefix@!$(prefix)!g \
           -e s!@SONAME@!$(SONAME)!g
SCRIPT_PREPARE=cat $(SCRIPT).in | sed $(SUBSTITUTE) > $(SCRIPT)
SCRIPT_TARGETDIR=$(DESTDIR)$(bindir)
SCRIPT_TARGET=$(SCRIPT_TARGETDIR)/$(SCRIPT)
SCRIPT_INSTALL=$(INSTALL_BIN) $(SCRIPT) $(SCRIPT_TARGET)
SCRIPT_LINKDIR=$(DESTDIR)$(prefix)/bin
SCRIPT_LINK=$(SCRIPT_LINKDIR)/$(SCRIPT)
SCRIPT_DOLINK=rm -f $(SCRIPT_LINK); \
              $(LN_S) $(SCRIPT_TARGET) $(SCRIPT_LINKDIR)
SCRIPT_UNINSTALL=rm -f $(SCRIPT_TARGET)
SCRIPT_UNLINK=rm -f $(SCRIPT_LINK)

# would probably be nice to link these somewhere as well
MANPAGES1:=$(wildcard *.1)
MAN1_TARGETDIR=$(DESTDIR)$(mandir)/man1
MAN1_TARGET=$(MAN1_TARGETDIR)/$(MAN1)
MAN1_INSTALL=$(INSTALL_DATA) $(MAN1) $(MAN1_TARGET)
MAN1_UNINSTALL=rm -f $(MAN1_TARGET)

#DEFAULTS_DIR=$(DESTDIR)/etc/default
DEFAULTS_DIR=$(DESTDIR)$(datadir)/default
SCRIPT_DEFAULTS=$(DEFAULTS_DIR)/postgis

all: $(SCRIPTS_IN)
	$(foreach SCRIPT, $(SCRIPTS), $(SCRIPT_PREPARE);)

install: all
	@mkdir -p $(SCRIPT_TARGETDIR)
	@mkdir -p $(SCRIPT_LINKDIR)
	$(foreach SCRIPT, $(SCRIPTS), $(SCRIPT_INSTALL);)
	$(foreach SCRIPT, $(PUBLIC_SCRIPTS), $(SCRIPT_DOLINK);)
	@mkdir -p $(DEFAULTS_DIR)
	cp profile $(SCRIPT_DEFAULTS)
	rm -f $(SCRIPT_TARGETDIR)/profile
	@mkdir -p $(MAN1_TARGETDIR)
	$(foreach MAN1, $(MANPAGES1), $(MAN1_INSTALL);)

uninstall:
	$(foreach SCRIPT, $(PUBLIC_SCRIPTS), $(SCRIPT_UNLINK);)
	$(foreach SCRIPT, $(SCRIPTS), $(SCRIPT_UNINSTALL);)
	$(foreach MAN1, $(MANPAGES1), $(MAN1_UNINSTALL);)

purge: uninstall
	rm -f $(SCRIPT_DEFAULTS)

clean distclean:
	rm -f $(SCRIPTS)

.PHONY: all install uninstall purge clean distclean

=== debian/changelog ===
postgis (3.2.0+dfsg-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules: ignore ppc64el test results that became unstable
      in the autopkgtest.u.c environment in Jammy

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 Dec 2021 00:19:19 -0800

postgis (3.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Dec 2021 07:27:50 +0100

postgis (3.2.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Dec 2021 16:56:39 +0100

postgis (3.2.0~beta3+dfsg-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Drop flatgeobuf patch, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 04 Dec 2021 09:21:53 +0100

postgis (3.2.0~beta2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Switch to pcre2.
    (closes: #999986)
  * Drop flatgeobuff.patch, doesn't work for autopkgtest.
  * Add patch to disable unreliable flageobuf tests.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Nov 2021 14:00:25 +0100

postgis (3.2.0~beta1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright file.
  * Drop patches included upstream.
  * Add patch to disable flatgeobuf tests causing FTBFS.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Oct 2021 08:01:21 +0200

postgis (3.2.0~alpha1+dfsg-1~exp4) experimental; urgency=medium

  * Drop pie rules for xenial.
  * Add pkg-config to build dependencies.
  * Update packaging for postgresql-14.
  * Add upstream patch to fix missing the INSERT statements.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 Oct 2021 21:41:53 +0200

postgis (3.2.0~alpha1+dfsg-1~exp3) experimental; urgency=medium

  * Drop mr58.patch, did not fix FTBFS on i386.
  * Add new upstream patch to possibly fix FTBFS on i386.
  * Add upstream patch to fix not re-entrant loader tests.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 28 Sep 2021 12:54:08 +0200

postgis (3.2.0~alpha1+dfsg-1~exp2) experimental; urgency=medium

  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Add upstream patch to possibly fix FTBFS on i386.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 23 Sep 2021 05:54:59 +0200

postgis (3.2.0~alpha1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream alpha release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Sep 2021 07:49:54 +0200

postgis (3.1.4+dfsg-3ubuntu2) jammy; urgency=medium

  * No-change rebuild against libgdal30

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 00:31:45 +0000

postgis (3.1.4+dfsg-3ubuntu1) jammy; urgency=medium

  * d/rules: ignore ppc64el test results that became unstable
    in the autopkgtest.u.c environment in Jammy (LP: #1952604)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 01 Dec 2021 13:51:24 +0100

postgis (3.1.4+dfsg-3) unstable; urgency=medium

  * Add upstream patch to fix test failures with GEOS 3.10.0.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Oct 2021 06:25:59 +0200

postgis (3.1.4+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Drop pie rules for xenial.
  * Add pkg-config to build dependencies.
  * Update packaging for postgresql-14.
  * Add upstream patch to fix missing the INSERT statements.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Oct 2021 14:37:17 +0200

postgis (3.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop build dependency on autoconf2.13.
    (closes: #992813)
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 04 Sep 2021 09:26:17 +0200

postgis (3.1.3+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 12:45:13 +0200

postgis (3.1.3+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 03 Jul 2021 05:59:02 +0200

postgis (3.1.2+dfsg-1~exp2) experimental; urgency=medium

  * Fix regression tests for older PG versions.

 -- Christoph Berg <myon@debian.org>  Mon, 31 May 2021 11:48:24 +0200

postgis (3.1.2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
    (closes: #983256).

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 May 2021 05:46:19 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Don't fail when d/control doesn't match template
export PG_UPDATECONTROL=yes

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
include /usr/share/postgresql-common/pgxs_debian_control.mk

# Upstream version (including ~rcN) for symbols version
UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

MAJOR_VERSION = $(shell grep ^POSTGIS_MAJOR_VERSION Version.config | cut -d= -f2)
MINOR_VERSION = $(shell grep ^POSTGIS_MINOR_VERSION Version.config | cut -d= -f2)
MICRO_VERSION = $(shell grep ^POSTGIS_MICRO_VERSION Version.config | cut -d= -f2)
POSTGIS_VERSION = $(MAJOR_VERSION).$(MINOR_VERSION).$(MICRO_VERSION)
ifeq ($(POSTGIS_VERSION),..)
$(error Cannot detect Postgis version, fix debian/rules)
endif

# For the Postgres APT repository, we want to support multiple
# Postgres versions. However, docs and the JDBC jar only need to be
# built once - in the main directory.
NEWEST_POSTGRES_VERSION = $(shell pg_buildext supported-versions $(CURDIR) | tail -1)
ifeq ($(NEWEST_POSTGRES_VERSION),)
$(error Cannot detect Postgres version, check debian/pgversions and pg_buildext)
endif

OTHER_POSTGRES_VERSIONS = $(shell pg_buildext supported-versions $(CURDIR) \
	| grep -v "$(NEWEST_POSTGRES_VERSION)")

COMMON_CONFIGURE_ARGS = --host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--exec-prefix=\$${prefix} \
	--docdir=\$${prefix}/share/doc \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--without-interrupt-tests \
	--without-phony-revision

NJOBS := -j1
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
NJOBS := -j$(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_clean: debian/control
#	Clean all separate build directories.
	(set -ex; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		rm -rf $(CURDIR)/debian/build-$$PGVER; \
	done)

	[ ! -f GNUmakefile ] || $(MAKE) $(NJOBS) distclean || true
	[ ! -f GNUmakefile ] || $(MAKE) $(NJOBS) -C doc images-clean || true

#	Cleanup after the Makefile
	rm -f postgis/postgis_upgrade_20_minor.sql.in \
		raster/rt_pg/rtpostgis_drop.sql \
		raster/rt_pg/rtpostgis_upgrade_cleanup.sql

#	Cleanup auto-generated packaging control files
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*.install
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*-scripts.install
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*-scripts.postinst
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*-scripts.prerm
	rm -f loader/cunit/cu_tester
	rm -rf liblwgeom/cunit/.libs

override_dh_auto_configure:
#	Copy sources required to build extensions for all but the most
#	recent Postgres version. Unfortunately, Postgis doesn't support
#	vpath builds.
	(set -ex; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		mkdir $(CURDIR)/debian/build-$$PGVER; \
		for FILE in `ls $(CURDIR) | grep -v debian`; do \
			cp -a $$FILE $(CURDIR)/debian/build-$$PGVER; \
		done; \
	done)

#	PostGIS for the most recent PostgreSQL version
	@echo " ### configuring $(NEWEST_POSTGRES_VERSION) ###"
	./configure $(COMMON_CONFIGURE_ARGS) \
		--datadir=\$${prefix}/share/postgresql-$(NEWEST_POSTGRES_VERSION)-postgis \
		--with-pgconfig=/usr/lib/postgresql/$(NEWEST_POSTGRES_VERSION)/bin/pg_config

#	PostGIS for all older Postgres versions
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo " ### configuring $$PGVER ###"; \
		cd $(CURDIR)/debian/build-$$PGVER; \
		./configure $(COMMON_CONFIGURE_ARGS) \
			--datadir=\$${prefix}/share/postgresql-$$PGVER-postgis \
			--with-pgconfig=/usr/lib/postgresql/$$PGVER/bin/pg_config; \
	done)

override_dh_auto_build:
#	Create debhelper files for each Postgres major version
	(set -ex; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS) $(NEWEST_POSTGRES_VERSION); do \
		for SUFFIX in .install -scripts.install -scripts.postinst -scripts.prerm; do \
			cat $(CURDIR)/debian/postgresql-generic-postgis$$SUFFIX.in \
				| sed -e "s/@PGVERSION@/$$PGVER/g" \
				> $(CURDIR)/debian/postgresql-$$PGVER-postgis-$(MAJOR_VERSION)$$SUFFIX; \
		done \
	done)

#	Build against the newest Postgres version
	@echo " ### building $(NEWEST_POSTGRES_VERSION) ###"
	$(MAKE) $(NJOBS)
	$(MAKE) $(NJOBS) -C doc

#	Build against all other Postgres versions
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo " ### building $$PGVER ###"; \
		$(MAKE) $(NJOBS) -C $(CURDIR)/debian/build-$$PGVER; \
	done)

#	Let PostGIS create a perl script from postgis_restore.pl.in
	$(MAKE) $(NJOBS) -C utils

#	Create a few SQL scripts that the Makefiles are not clever enough
#	to resolve, when building arch-indep only.
	$(MAKE) $(NJOBS) -C postgis postgis.sql postgis_upgrade.sql
	$(MAKE) $(NJOBS) -C raster/rt_pg rtpostgis.sql rtpostgis_upgrade.sql
	$(MAKE) $(NJOBS) -C topology topology.sql topology_upgrade.sql

#	This creates the required SQL scripts. Again, the Makefile is not
#	clever enough to run this before 'install'.
	$(MAKE) $(NJOBS) -C extensions

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#   Run unit tests (against the newest Postgres version, first)
	echo " ### testing $(NEWEST_POSTGRES_VERSION) ###"
# Ignore test failure on problematic architectures
ifneq (,$(filter $(DEB_BUILD_ARCH),mips mips64el mipsel s390x alpha hppa hurd-i386 kfreebsd-i386 powerpc ppc64 ppc64el sparc64))
	pg_virtualenv -v $(NEWEST_POSTGRES_VERSION) \
		make check RUNTESTFLAGS="-v" || echo "Ignoring test failures"
else
	pg_virtualenv -v $(NEWEST_POSTGRES_VERSION) \
		make check RUNTESTFLAGS="-v"
endif

#	Test against all other Postgres versions
ifneq (,$(filter $(DEB_BUILD_ARCH),mips mips64el mipsel s390x alpha hppa hurd-i386 kfreebsd-i386 powerpc ppc64 ppc64el sparc64))
	set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo " ### testing $$PGVER ###"; \
		pg_virtualenv -v $$PGVER \
			make -C $(CURDIR)/debian/build-$$PGVER check RUNTESTFLAGS="-v" || echo "Ignoring test failures"; \
	done
else
	set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo " ### testing $$PGVER ###"; \
		pg_virtualenv -v $$PGVER \
			make -C $(CURDIR)/debian/build-$$PGVER check RUNTESTFLAGS="-v"; \
	done
endif
endif

override_dh_auto_install:
#	Install the most recent Postgres version. Note that we used to
#	install only utils and extensions. However, there are sql scripts
#	in postgis, raster and topology as well, which need to be
#	installed for the -scripts package(s).
	$(MAKE) $(NJOBS) install DESTDIR=$(CURDIR)/debian/tmp

#	Install all older Postgres versions.
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		$(MAKE) $(NJOBS) -C $(CURDIR)/debian/build-$$PGVER \
			install DESTDIR=$(CURDIR)/debian/tmp; \
	done)

#	Remove unversioned and unused files from address standardizer
	rm -fv debian/tmp/usr/share/postgresql/*/extension/address_standardizer.sql
	rm -fv debian/tmp/usr/share/postgresql/*/extension/address_standardizer_data_us.sql

#	Move extension control files to version-specific names
#	(otherwise, the -script packages from different major versions would conflict)
	(set -ex; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS) $(NEWEST_POSTGRES_VERSION); do \
		for control in $(CURDIR)/debian/tmp/usr/share/postgresql/$$PGVER/extension/*.control; do \
			mv $$control $${control%.control}-$(MAJOR_VERSION).control; \
		done \
	done)

#	Compile and install docs
	$(MAKE) -C doc docs-install man-install \
		DESTDIR=$(CURDIR)/debian/tmp \
		PGSQL_DOCDIR=/usr/share/doc \
		PGSQL_MANDIR=/usr/share/man

#	Move binaries from the NEWEST_POSTGRES_VERSION build to the
#	'postgis' binary package.
	mkdir -p $(CURDIR)/debian/postgis/usr/bin
	mv $(CURDIR)/debian/tmp/usr/lib/postgresql/$(NEWEST_POSTGRES_VERSION)/bin/* \

## postgis 3.2.1+dfsg

=== extensions/address_standardizer/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 # SQL preprocessor
 SQLPP = /usr/bin/cpp -traditional-cpp -w -P
 GREP=/bin/grep
-EXTVERSION = 3.2.0
+EXTVERSION = 3.2.1
 MODULE_big = address_standardizer-3
 MODULEPATH    = $$libdir/address_standardizer-3
 ifeq (no,yes)
@@ -46,7 +46,7 @@
 	$(NULL)
 
 all:  sql/address_standardizer.sql sql/address_standardizer--1.0--$(EXTVERSION).sql sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--ANY--$(EXTVERSION).sql \
- sql/$(EXTENSION)_data_us.sql sql/address_standardizer--3.2.0.sql sql/$(EXTENSION)_data_us--3.2.0.sql  sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql \
+ sql/$(EXTENSION)_data_us.sql sql/address_standardizer--3.2.1.sql sql/$(EXTENSION)_data_us--3.2.1.sql  sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql \
 sql/$(EXTENSION)_data_us--$(EXTVERSION)next--$(EXTVERSION).sql sql/$(EXTENSION)_data_us--ANY--$(EXTVERSION).sql \
 sql/test-init-extensions.sql sql/test-parseaddress.sql sql/test-standardize_address_1.sql sql/test-standardize_address_2.sql
 
@@ -74,7 +74,7 @@
 		| sed -e 's|@EXTVERSION@|$(EXTVERSION)|g' \
 		> $@
 
-sql/address_standardizer--3.2.0.sql: sql/address_standardizer_types.sql \
+sql/address_standardizer--3.2.1.sql: sql/address_standardizer_types.sql \
     sql/address_standardizer_functions.sql
 	mkdir -p sql
 	cat $^ > $@

=== extensions/postgis_raster/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 include ../upgradeable_versions.mk
 
 EXTENSION     = postgis_raster
-EXTVERSION    = 3.2.0
+EXTVERSION    = 3.2.1
 MINORVERSION  = 3.2
 MODULEPATH    = $$libdir/$(EXTENSION)-3

=== debian/changelog ===
postgis (3.2.1+dfsg-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Disable proj-7.0.1.patch.
    + Remove skippable flag from autopkgtest.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 13 Feb 2022 07:57:40 +0100

postgis (3.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Feb 2022 07:57:40 +0100

=== debian/control ===
Source: postgis
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Stephen Frost <sfrost@debian.org>,
           Francesco Paolo Lovergine <frankie@debian.org>,
           Markus Wanner <markus@bluegap.ch>,
           Bas Couwenberg <sebastic@debian.org>,
           Christoph Berg <myon@debian.org>
Section: misc
Priority: optional
Build-Depends: bison,
               dctrl-tools,
               dblatex,
               debhelper (>= 10),
               docbook,
               docbook-xsl,
               dpkg-dev (>= 1.16.1~),
               flex,
               imagemagick,
               libcunit1-dev,
               libgdal-dev (>= 1.11.2+dfsg-3~) | libgdal1-dev (>= 1.9.0~),
               libgeos-dev (>= 3.6),
               libjson-c-dev | libjson0-dev (>= 0.9~),
               libpcre2-dev,
               libproj-dev (>= 4.6.0),
               libprotobuf-c-dev,
               libsfcgal-dev (>= 1.3.1) [!armel !armhf],
               libxml2-dev (>= 2.5.0~),
               lsb-release,
               pkg-config,
               po-debconf,
               postgresql-all,
               postgresql-common (>= 148~),
               postgresql-server-dev-all,
               protobuf-c-compiler,
               rdfind,
               xsltproc
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/postgis
Vcs-Git: https://salsa.debian.org/debian-gis-team/postgis.git
Homepage: http://postgis.net/

Package: postgis
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: postgresql-postgis,
            postgis-doc
Description: Geographic objects support for PostgreSQL
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the PostGIS userland binaries for importing and
 exporting shape and raster files: pgsql2shp, raster2pgsql, and shp2pgsql.

Package: postgis-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: postgis
Description: Geographic objects support for PostgreSQL -- documentation
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the PostGIS documentation.

Package: postgresql-10-postgis-3
Architecture: any
Depends: postgresql-10,
         postgresql-10-postgis-3-scripts,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: postgis
Breaks: postgis (<< 1.2.1)
Provides: postgresql-10-postgis,
          postgresql-postgis
Description: Geographic objects support for PostgreSQL 10
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".

Package: postgresql-11-postgis-3
Architecture: any
Depends: postgresql-11,
         postgresql-11-postgis-3-scripts,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: postgis
Breaks: postgis (<< 1.2.1)
Provides: postgresql-11-postgis,
          postgresql-postgis
Description: Geographic objects support for PostgreSQL 11
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".

Package: postgresql-12-postgis-3
Architecture: any
Depends: postgresql-12,
         postgresql-12-postgis-3-scripts,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: postgis
Breaks: postgis (<< 1.2.1)
Provides: postgresql-12-postgis,
          postgresql-postgis
Description: Geographic objects support for PostgreSQL 12
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".

Package: postgresql-13-postgis-3
Architecture: any
Depends: postgresql-13,
         postgresql-13-postgis-3-scripts,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: postgis
Breaks: postgis (<< 1.2.1)
Provides: postgresql-13-postgis,
          postgresql-postgis
Description: Geographic objects support for PostgreSQL 13
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".

Package: postgresql-14-postgis-3
Architecture: any
Depends: postgresql-14,
         postgresql-14-postgis-3-scripts,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: postgis
Breaks: postgis (<< 1.2.1)
Provides: postgresql-14-postgis,
          postgresql-postgis
Description: Geographic objects support for PostgreSQL 14
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".

Package: postgresql-10-postgis-3-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends},
         ${misc:Depends}
Recommends: postgresql-10-postgis-3
Provides: postgresql-10-postgis-scripts,
          postgresql-postgis-scripts
Replaces: postgresql-10-postgis-scripts (<< 2.2.2+dfsg-3~)
Description: Geographic objects support for PostgreSQL 10 -- SQL scripts
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the SQL scripts for installing PostGIS in a PostgreSQL
 10 database, and for upgrading from earlier PostGIS versions.

Package: postgresql-11-postgis-3-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends},
         ${misc:Depends}
Recommends: postgresql-11-postgis-3
Provides: postgresql-11-postgis-scripts,
          postgresql-postgis-scripts
Replaces: postgresql-11-postgis-scripts (<< 2.2.2+dfsg-3~)
Description: Geographic objects support for PostgreSQL 11 -- SQL scripts
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the SQL scripts for installing PostGIS in a PostgreSQL
 11 database, and for upgrading from earlier PostGIS versions.

Package: postgresql-12-postgis-3-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends},
         ${misc:Depends}
Recommends: postgresql-12-postgis-3
Provides: postgresql-12-postgis-scripts,
          postgresql-postgis-scripts
Replaces: postgresql-12-postgis-scripts (<< 2.2.2+dfsg-3~)
Description: Geographic objects support for PostgreSQL 12 -- SQL scripts
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the SQL scripts for installing PostGIS in a PostgreSQL
 12 database, and for upgrading from earlier PostGIS versions.

Package: postgresql-13-postgis-3-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends},
         ${misc:Depends}
Recommends: postgresql-13-postgis-3
Provides: postgresql-13-postgis-scripts,
          postgresql-postgis-scripts
Replaces: postgresql-13-postgis-scripts (<< 2.2.2+dfsg-3~)
Description: Geographic objects support for PostgreSQL 13 -- SQL scripts
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the SQL scripts for installing PostGIS in a PostgreSQL
 13 database, and for upgrading from earlier PostGIS versions.

Package: postgresql-14-postgis-3-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends},
         ${misc:Depends}
Recommends: postgresql-14-postgis-3
Provides: postgresql-14-postgis-scripts,
          postgresql-postgis-scripts
Replaces: postgresql-14-postgis-scripts (<< 2.2.2+dfsg-3~)
Description: Geographic objects support for PostgreSQL 14 -- SQL scripts
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the SQL scripts for installing PostGIS in a PostgreSQL
 14 database, and for upgrading from earlier PostGIS versions.

## postgis 3.2.2+dfsg

=== extensions/address_standardizer/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 # SQL preprocessor
 SQLPP = /usr/bin/cpp -traditional-cpp -w -P
 GREP=/bin/grep
-EXTVERSION = 3.2.1
+EXTVERSION = 3.2.2
 MODULE_big = address_standardizer-3
 MODULEPATH    = $$libdir/address_standardizer-3
 ifeq (no,yes)
@@ -46,7 +46,7 @@
 	$(NULL)
 
 all:  sql/address_standardizer.sql sql/address_standardizer--1.0--$(EXTVERSION).sql sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--ANY--$(EXTVERSION).sql \
- sql/$(EXTENSION)_data_us.sql sql/address_standardizer--3.2.1.sql sql/$(EXTENSION)_data_us--3.2.1.sql  sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql \
+ sql/$(EXTENSION)_data_us.sql sql/address_standardizer--3.2.2.sql sql/$(EXTENSION)_data_us--3.2.2.sql  sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql \
 sql/$(EXTENSION)_data_us--$(EXTVERSION)next--$(EXTVERSION).sql sql/$(EXTENSION)_data_us--ANY--$(EXTVERSION).sql \
 sql/test-init-extensions.sql sql/test-parseaddress.sql sql/test-standardize_address_1.sql sql/test-standardize_address_2.sql
 
@@ -74,7 +74,7 @@
 		| sed -e 's|@EXTVERSION@|$(EXTVERSION)|g' \
 		> $@
 
-sql/address_standardizer--3.2.1.sql: sql/address_standardizer_types.sql \
+sql/address_standardizer--3.2.2.sql: sql/address_standardizer_types.sql \
     sql/address_standardizer_functions.sql
 	mkdir -p sql
 	cat $^ > $@

=== extensions/postgis_raster/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 include ../upgradeable_versions.mk
 
 EXTENSION     = postgis_raster
-EXTVERSION    = 3.2.1
+EXTVERSION    = 3.2.2
 MINORVERSION  = 3.2
 MODULEPATH    = $$libdir/$(EXTENSION)-3

=== debian/changelog ===
postgis (3.2.2+dfsg-1.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 23 Jul 2022 20:38:23 +0200

postgis (3.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 23 Jul 2022 20:38:23 +0200
